Page MenuHomePhabricator

[WIP][AMDGPU] Move frame pointer from s34 to s33
ClosedPublic

Authored by scott.linder on Mar 4 2020, 4:04 PM.

Details

Summary
[WIP][AMDGPU] Move frame pointer from s34 to s33

Remove the gap left between the stack pointer (s32) and frame pointer
(s34) now that the scratch wave offset is no longer a part of the
calling convention ABI.

Update llvm/docs/AMDGPUUsage.rst to reflect the change.

Diff Detail

Event Timeline

scott.linder created this revision.Mar 4 2020, 4:04 PM
Herald added a project: Restricted Project. · View Herald TranscriptMar 4 2020, 4:04 PM
scott.linder retitled this revision from [WIP][AMDGPU] Move the frame pointer to s33 from s34 to [WIP][AMDGPU] Move frame pointer from s34 to s33.Mar 4 2020, 4:25 PM
scott.linder edited the summary of this revision. (Show Details)
t-tye added a comment.Mar 4 2020, 5:14 PM

Does the AMDGPUUsage Calling COnvention section also need updating to reflect this change?

Does the AMDGPUUsage Calling COnvention section also need updating to reflect this change?

Yes, I have a "TODO Update AMDGPUUsage" on this and the previous patch, I'll be working on updating it today.

arsenm accepted this revision.Mar 9 2020, 12:34 PM
This revision is now accepted and ready to land.Mar 9 2020, 12:34 PM

Rebase onto parent patch changes

scott.linder edited the summary of this revision. (Show Details)Mar 10 2020, 4:53 PM
arsenm accepted this revision.Mar 10 2020, 6:39 PM
arsenm accepted this revision.Mar 13 2020, 12:23 PM
This revision was automatically updated to reflect the committed changes.